Bug 1314963 - HP lt4112 doesn't work under Fedora 23
HP lt4112 doesn't work under Fedora 23
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-05 02:55 EST by Roberto N
Modified: 2016-06-18 13:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-18 13:01:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modemmanager debug logfile (160.61 KB, text/plain)
2016-03-13 05:38 EDT, Roberto N
no flags Details

  None (edit)
Description Roberto N 2016-03-05 02:55:52 EST
Description of problem:

Unable to start Broadband Mobile connection with HP Gobi lt4112 LTE-HSPA+ internal modem

Fedora 23, both fresh install or upgraded from F22.
ModemManager-1.4.10-2.fc23.x86_64
NetworkManager-1.0.10-3.fc23.x86_64


How reproducible:

Only with Gobi lt4112 LTE-HSPA+ internal modem from HP, works with other modem devices.


Steps to Reproduce:
1. Setup a broadband connection
2. Try to connect


Actual results:

Connection Failed

Expected results:

Connection to work flawlessy, as was in F20,F21 and also F22 upgraded from F21.
Additional info:

Tried all suggestions coming from similar issues/bugs.
Added three USB ports generated by ModemManager in Firewalld zone
Running ModemManager in interactive mode, the row:
ModemManager[3952]: <debug> [1457163422.758324] [mm-iface-modem.c:934] access_technologies_check_ready(): Couldn't refresh access technologies: 'Sending command failed: 'Resource temporarily unavailable''
is recurring.
Modem is identified correctly :
[root@my-laptop ~]# mmcli -m 0 

/org/freedesktop/ModemManager1/Modem/0 (device id '153b545f4805582faf6d0f6027262245c4bf0eed')
  -------------------------
  Hardware |   manufacturer: 'Hewlett-Packard'
           |          model: 'ME906E'
           |       revision: '12.430.29.08.00'
           |      supported: 'gsm-umts, lte'
           |        current: 'gsm-umts, lte'
           |   equipment id: 'xxxxxxxxxxxxxxxxxxx' (obfuscated)
  -------------------------
  System   |         device: '/sys/devices/pci0000:00/0000:00:14.0/usb2/2-6'
           |        drivers: 'qcserial, cdc_ether'
           |         plugin: 'Gobi'
           |   primary port: 'ttyUSB1'
           |          ports: 'ttyUSB1 (at), enp0s20u6c2 (net), ttyUSB2 (at)'
  -------------------------
  Numbers  |           own : 'unknown'
  -------------------------
  Status   |           lock: 'none'
           | unlock retries: 'unknown'
           |          state: 'registered'
           |    power state: 'on'
           |    access tech: 'unknown'
           | signal quality: '80' (cached)
  -------------------------
  Modes    |      supported: 'allowed: 2g, 3g, 4g; preferred: none'
           |        current: 'allowed: 2g, 3g, 4g; preferred: none'
  -------------------------
  Bands    |      supported: 'unknown'
           |        current: 'unknown'
  -------------------------
  IP       |      supported: 'ipv4, ipv6, ipv4v6'
  -------------------------
  3GPP     |           imei: 'xxxxxxxxxxxxxxxx' (obfuscated)
           |  enabled locks: 'none'
           |    operator id: '22288'
           |  operator name: 'I WIND'
           |   subscription: 'unknown'
           |   registration: 'home'
  -------------------------
  SIM      |           path: '/org/freedesktop/ModemManager1/SIM/0'

  -------------------------
  Bearers  |          paths: '/org/freedesktop/ModemManager1/Bearer/2'

Serial devices:
15280 lrwxrwxrwx 1 root root  13 Mar  5 08:15 usb-Hewlett-Packard_HP_lt4112_Gobi_4G_Module_0123456712ABCA17-if02-port0 -> ../../ttyUSB0
13938 lrwxrwxrwx 1 root root  13 Mar  5 08:15 usb-Hewlett-Packard_HP_lt4112_Gobi_4G_Module_0123456712ABCA17-if03-port0 -> ../../ttyUSB1
18036 lrwxrwxrwx 1 root root  13 Mar  5 08:15 usb-Hewlett-Packard_HP_lt4112_Gobi_4G_Module_0123456712ABCA17-if04-port0 -> ../../ttyUSB2


SIM is working correctly in other two F23 laptops, with different internal Modem.
One is GT382 (Globetrotter), other is HP un2420, both 3G only.

Device is working as expected using other operating system (Windows 10).

Last rows from journalctl:

my-laptop ModemManager[6039]: <info>  ModemManager (version 1.4.10-2.fc23) starting in system bus...
my-laptop systemd[1]: Started Modem Manager.
my-laptop ModemManager[6039]: <warn>  (ttyUSB0): port attributes not fully set
my-laptop ModemManager[6039]: <warn>  (ttyUSB1): port attributes not fully set
my-laptop ModemManager[6039]: <warn>  (ttyUSB2): port attributes not fully set
my-laptop ModemManager[6039]: <info>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:19.0': not su
my-laptop ModemManager[6039]: <info>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:1c.3/0000:02:
my-laptop ModemManager[6039]: <info>  Creating modem with plugin 'Gobi' and '4' ports
my-laptop ModemManager[6039]: <warn>  Could not grab port (tty/ttyUSB0): 'Cannot add port 'tty/ttyUSB0', unhandled seria
my-laptop ModemManager[6039]: <warn>  (ttyUSB1): port attributes not fully set
my-laptop ModemManager[6039]: <info>  Modem for device at '/sys/devices/pci0000:00/0000:00:14.0/usb2/2-6' successfully c
my-laptop ModemManager[6039]: <info>  Creating modem with plugin 'Generic' and '1' ports
my-laptop ModemManager[6039]: <warn>  Could not grab port (tty/ttyS4): 'Cannot add port 'tty/ttyS4', unhandled serial ty
my-laptop ModemManager[6039]: <warn>  Couldn't create modem for device at '/sys/devices/pci0000:00/0000:00:16.3': Failed
my-laptop ModemManager[6039]: <info>  Modem: state changed (unknown -> disabled)
my-laptop ModemManager[6039]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (disabled -> enabling)
my-laptop ModemManager[6039]: <warn>  (ttyUSB1): port attributes not fully set
my-laptop ModemManager[6039]: <warn>  (ttyUSB2): port attributes not fully set
my-laptop ModemManager[6039]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: 3GPP Registration state changed (unknown)
my-laptop ModemManager[6039]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: 3GPP Registration state changed (registered)
my-laptop ModemManager[6039]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (enabling -> registered)
Comment 1 Roberto N 2016-03-13 05:38 EDT
Created attachment 1135819 [details]
modemmanager debug logfile

modem manager logfile
Comment 2 Dan Williams 2016-03-18 13:13:37 EDT
There are some kernel driver issues here actually.  The device, if it's really a QMI-based device (which it should be) should not be driven by cdc_ether, it should be driven by qmi_wwan and expose a /dev/cdc-wdm0 device that QMI can be used with.

Can you run 'usb-devices' for me?  There was actually a kernel fix posted on Nov 15 2015 that should be in most recent (4.4 and 4.5) kernels.

Also, what kernel version do you have?
Comment 3 Roberto N 2016-03-18 15:35:00 EDT
(In reply to Dan Williams from comment #2)
> There are some kernel driver issues here actually.  The device, if it's
> really a QMI-based device (which it should be) should not be driven by
> cdc_ether, it should be driven by qmi_wwan and expose a /dev/cdc-wdm0 device
> that QMI can be used with.
> 
> Can you run 'usb-devices' for me?  There was actually a kernel fix posted on
> Nov 15 2015 that should be in most recent (4.4 and 4.5) kernels.
> 
> Also, what kernel version do you have?
Hi

4.4.4-301.fc23.x86_64 #1 SMP Fri Mar 4 17:42:42 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

usb-devices

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480 MxCh= 3
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0002 Rev=04.04
S:  Manufacturer=Linux 4.4.4-301.fc23.x86_64 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:1d.0
C:  #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub

T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=480 MxCh= 8
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=8087 ProdID=8000 Rev=00.04
C:  #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub

T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480 MxCh= 9
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0002 Rev=04.04
S:  Manufacturer=Linux 4.4.4-301.fc23.x86_64 xhci-hcd
S:  Product=xHCI Host Controller
S:  SerialNumber=0000:00:14.0
C:  #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub

T:  Bus=02 Lev=01 Prnt=01 Port=02 Cnt=01 Dev#=  2 Spd=480 MxCh= 4
D:  Ver= 2.10 Cls=09(hub  ) Sub=00 Prot=02 MxPS=64 #Cfgs=  1
P:  Vendor=0424 ProdID=2134 Rev=50.00
S:  Manufacturer=SMSC
S:  Product=USB2134B
C:  #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 1 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=02 Driver=hub

T:  Bus=02 Lev=02 Prnt=02 Port=01 Cnt=01 Dev#=  4 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=8087 ProdID=07dc Rev=00.01
C:  #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I:  If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

T:  Bus=02 Lev=01 Prnt=01 Port=04 Cnt=02 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=ff(vend.) Sub=12 Prot=ff MxPS= 8 #Cfgs=  1
P:  Vendor=138a ProdID=003f Rev=01.04
S:  SerialNumber=00a074fe4d92
C:  #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 4 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)

T:  Bus=02 Lev=01 Prnt=01 Port=05 Cnt=03 Dev#=  6 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  3
P:  Vendor=03f0 ProdID=581d Rev=02.28
S:  Manufacturer=Hewlett-Packard
S:  Product=HP lt4112 Gobi 4G Module
S:  SerialNumber=0123456712ABCA17
C:  #Ifs= 5 Cfg#= 2 Atr=a0 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=02(commc) Sub=06 Prot=00 Driver=cdc_ether
I:  If#= 1 Alt= 1 #EPs= 2 Cls=0a(data ) Sub=00 Prot=00 Driver=cdc_ether
I:  If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=01 Prot=03 Driver=qcserial
I:  If#= 3 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=01 Prot=02 Driver=qcserial
I:  If#= 4 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=01 Prot=05 Driver=qcserial

T:  Bus=02 Lev=01 Prnt=01 Port=06 Cnt=04 Dev#=  5 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=05c8 ProdID=0369 Rev=01.08
S:  Manufacturer=SunplusIT INC.
S:  Product=HP HD Webcam
C:  #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=0e(video) Sub=01 Prot=00 Driver=uvcvideo
I:  If#= 1 Alt= 0 #EPs= 0 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo

T:  Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=5000 MxCh= 4
D:  Ver= 3.00 Cls=09(hub  ) Sub=00 Prot=03 MxPS= 9 #Cfgs=  1
P:  Vendor=1d6b ProdID=0003 Rev=04.04
S:  Manufacturer=Linux 4.4.4-301.fc23.x86_64 xhci-hcd
S:  Product=xHCI Host Controller
S:  SerialNumber=0000:00:14.0
C:  #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub

T:  Bus=03 Lev=01 Prnt=01 Port=02 Cnt=01 Dev#=  2 Spd=5000 MxCh= 4
D:  Ver= 3.00 Cls=09(hub  ) Sub=00 Prot=03 MxPS= 9 #Cfgs=  1
P:  Vendor=0424 ProdID=5534 Rev=50.00
S:  Manufacturer=SMSC
S:  Product=USB5534B
C:  #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
Comment 4 Roberto N 2016-03-18 15:37:06 EDT
No device /dev/cdc*
Comment 5 Roberto N 2016-04-09 15:52:09 EDT
Nobody has in charge this bug ? I'm available for test, if needed.
Comment 6 Roberto N 2016-06-14 03:16:00 EDT
(In reply to Roberto N from comment #5)
> Nobody has in charge this bug ? I'm available for test, if needed.

Hello community

really nobody is taken care of this ?
Same behaviour also present in F24beta, exactly the same.
Comment 7 Roberto N 2016-06-18 13:01:16 EDT
The issue was created by probably fake card firmware. Downloading the latest firmware from HP support website has fixed the issue.
Checked both in F23 and F24beta.

Note You need to log in before you can comment on or make changes to this bug.